ros-melodic-image-view2 (2.2.12-1bionic) bionic; urgency=high

  * set ccache prefix only for cmake <= 3.4 (#1694 <https://github.com/jsk-ros-pkg/jsk_common/issues/1694>)
  * Contributors: Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 06 Jun 2022 15:00:00 -0000

ros-melodic-image-view2 (2.2.11-1bionic) bionic; urgency=high

  * fix for noetic build (#1648 <https://github.com/jsk-ros-pkg/jsk_common/issues/1648>)
    
      * fox for opencv4
      * remove signals from find_package(Boost COMPONENTS ...)
      * migrate to noetic with ROS_PYTHON_VERSION=2/3, use multiple ROS distro strategy http://wiki.ros.org/noetic/Migration
      * upgrade package.xml to format=3
    
  * Add sample code for image_view2f( #1646 <https://github.com/jsk-ros-pkg/jsk_common/issues/1646>)
  * Contributors: Kei Okada, Naoya Yamaguchi, Shingo Kitagawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 09 Jul 2020 15:00:00 -0000

ros-melodic-image-view2 (2.2.10-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 02 Nov 2018 15:00:00 -0000

ros-melodic-image-view2 (2.2.9-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 01 Nov 2018 15:00:00 -0000

ros-melodic-image-view2 (2.2.8-1bionic) bionic; urgency=high

  * Add comment about installation (#1604 <https://github.com/jsk-ros-pkg/jsk_common/issues/1604>)
  * [image_view2/image_view2.cpp] Correct grammer. 'could not found' -> could not find' (#1606 <https://github.com/jsk-ros-pkg/jsk_common/issues/1606>)
  * Contributors: Yuto Uchimi, Iori Yanokura

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 31 Oct 2018 15:00:00 -0000

ros-melodic-image-view2 (2.2.7-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 26 Jun 2018 15:00:00 -0000

ros-melodic-image-view2 (2.2.6-1bionic) bionic; urgency=high

  * image_view2: support kinetic (#1573 <https://github.com/jsk-ros-pkg/jsk_common/issues/1573>)
  * image_view2: fix publish_mouse_event (#1564 <https://github.com/jsk-ros-pkg/jsk_common/issues/1564>)
  * need to find pcl_ros for image_view2 (#1541 <https://github.com/jsk-ros-pkg/jsk_common/issues/1541>)
  * Contributors: Eisoku Kuroiwa, Kei Okada, Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 04 Jan 2018 15:00:00 -0000

ros-melodic-image-view2 (2.2.5-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 18 Jun 2017 15:00:00 -0000

ros-melodic-image-view2 (2.2.4-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 Jun 2017 15:00:00 -0000

ros-melodic-image-view2 (2.2.3-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 22 Mar 2017 15:00:00 -0000

ros-melodic-image-view2 (2.2.2-1bionic) bionic; urgency=high

  * test/publish_lena.py: lena() is not included in scipy from 0.17
  * src/image_view2.cpp: add cv::waitKey for opencv3 installed from source to fix freezing issue
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 29 Dec 2016 15:00:00 -0000

ros-melodic-image-view2 (2.2.1-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 12 Dec 2016 15:00:00 -0000

ros-melodic-image-view2 (2.2.0-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 27 Oct 2016 15:00:00 -0000

ros-melodic-image-view2 (2.1.2-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 Sep 2016 15:00:00 -0000

ros-melodic-image-view2 (2.1.1-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Sep 2016 15:00:00 -0000

ros-melodic-image-view2 (2.1.0-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 05 Sep 2016 15:00:00 -0000

ros-melodic-image-view2 (2.0.17-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 20 Jul 2016 15:00:00 -0000

ros-melodic-image-view2 (2.0.16-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 18 Jun 2016 15:00:00 -0000

ros-melodic-image-view2 (2.0.15-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 12 Jun 2016 15:00:00 -0000

ros-melodic-image-view2 (2.0.14-1bionic) bionic; urgency=high

  * fix for error when using opencv3
  * Contributors: Krishneel Chaudhary

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 13 May 2016 15:00:00 -0000

ros-melodic-image-view2 (2.0.13-1bionic) bionic; urgency=high

  * Support OpenCV3
  * Contributors: Kentaro Wada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 28 Apr 2016 15:00:00 -0000

ros-melodic-image-view2 (2.0.12-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 17 Apr 2016 15:00:00 -0000

ros-melodic-image-view2 (2.0.11-1bionic) bionic; urgency=high

  * Fix header of screenrectangle topic to include frame_id
    Modified:
    - jsk_ros_patch/image_view2/image_view2.cpp
  * remove dynamic_reconfigure.parameter_generator, which only used for rosbuild
  * [image_view2] Keep publishing test data
  * Contributors: Kei Okada, Kentaro Wada, Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 19 Mar 2016 15:00:00 -0000

ros-melodic-image-view2 (2.0.10-1bionic) bionic; urgency=high

  * [image_view2] retry 3 to avoid 'failed to launch' error
  * Contributors: Kentaro Wada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 12 Feb 2016 15:00:00 -0000

ros-melodic-image-view2 (2.0.9-1bionic) bionic; urgency=high

  * [image_view2] Not test on hydro (jsk_tools/test_topic_published.py does not work on travis/jenkins)
    Modified:
    jsk_ros_patch/image_view2/CMakeLists.txt
  * [image_view2] Use ccache if installed to make it fast to generate object files
  * [image_view2] Install test dir for rostest after installed
    Modified:
    jsk_ros_patch/image_view2/CMakeLists.txt
  * [image_view2] Refactor package.xml (sort and remove no need)
    Modified:
    jsk_ros_patch/image_view2/package.xml
  * [image_view2] Test screenrectangle image with mouse event
    Closes https://github.com/jsk-ros-pkg/jsk_common/issues/1247
    Modified:
    jsk_ros_patch/image_view2/package.xml
    Added:
    jsk_ros_patch/image_view2/test/publish_lena.py
    jsk_ros_patch/image_view2/test/publish_mouse_event.py
    jsk_ros_patch/image_view2/test/rectangle_mouse_event.test
  * [image_view2] avoid segfo caused by minus width for rectangle
  * Contributors: Kentaro Wada, Ryohei Ueda, Yu Ohara

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 13 Dec 2015 15:00:00 -0000

ros-melodic-image-view2 (2.0.8-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 06 Dec 2015 15:00:00 -0000

ros-melodic-image-view2 (2.0.7-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 04 Dec 2015 15:00:00 -0000

ros-melodic-image-view2 (2.0.6-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 01 Dec 2015 15:00:00 -0000

ros-melodic-image-view2 (2.0.5-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 29 Nov 2015 15:00:00 -0000

ros-melodic-image-view2 (2.0.4-1bionic) bionic; urgency=high

  * [image_view2] Visualize depth image
  * [image_view2] Describe about msg types with topics
  * [image_view2] Describe about some publising topics
  * [image_view2] Publish cropped image with roi Currently this is only work with rectangle mode.
  * [image_view2] Describe ~interactive_mode actual value
  * [image_view2] Add document about grabcut rect interaction
  * [image_view2] Add document about grabcut interaction
  * [image_view2] Add document about poly interaction
  * [image_view2] Add document about line interaction
  * [image_view2] Add documentation about rectangle mode interaction
  * [image_view2] Add document about subscribing topics and advertising services
  * [image_view2] Fix typo in document: ImageMarker -> ImageMarker2
  * [image_view2] Add README.md
  * Contributors: Kei Okada, Kentaro Wada, Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 Nov 2015 15:00:00 -0000

ros-melodic-image-view2 (2.0.3-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Jul 2015 15:00:00 -0000

ros-melodic-image-view2 (2.0.2-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 06 Jul 2015 15:00:00 -0000

ros-melodic-image-view2 (2.0.1-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 27 Jun 2015 15:00:00 -0000

ros-melodic-image-view2 (2.0.0-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 18 Jun 2015 15:00:00 -0000

ros-melodic-image-view2 (1.0.72-1bionic) bionic; urgency=high

  * [image_view2] Fix drawing of rectangle when interaction_mode is grabcut_rect
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 06 Jun 2015 15:00:00 -0000

ros-melodic-image-view2 (1.0.71-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 16 May 2015 15:00:00 -0000

ros-melodic-image-view2 (1.0.70-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 07 May 2015 15:00:00 -0000

ros-melodic-image-view2 (1.0.69-1bionic) bionic; urgency=high

  * [CMakeLists.txt] add depends to gen_cfg
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 04 May 2015 15:00:00 -0000

ros-melodic-image-view2 (1.0.68-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 04 May 2015 15:00:00 -0000

ros-melodic-image-view2 (1.0.67-1bionic) bionic; urgency=high

  * [image_view2] add Fisheye Grid Line option
  * [jsk_perception] add dynamic reconf for image_view2
  * [image_view2] add grid option
  * Contributors: Yuto Inagaki

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 02 May 2015 15:00:00 -0000

ros-melodic-image-view2 (1.0.66-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 02 Apr 2015 15:00:00 -0000

ros-melodic-image-view2 (1.0.65-1bionic) bionic; urgency=high

  * [image_view2] Use loner queue for event callback in order not to miss event topics
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 01 Apr 2015 15:00:00 -0000

ros-melodic-image-view2 (1.0.64-1bionic) bionic; urgency=high

  * [image_view2] Clear poly mode caches when image_view2 is resetted
  * [image_view2] Support poly mode to select polygonal region on image
  * [image_view2] Check if input image is valid and skip if the input is invalid
  * [image_view2] Do not show warning message when scale is 0
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 28 Mar 2015 15:00:00 -0000

ros-melodic-image-view2 (1.0.63-1bionic) bionic; urgency=high

  * [image_view2] Publish marked image in local namespace
  * [image_view2] Ignore scale=0 data in scale_interaction.py
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 18 Feb 2015 15:00:00 -0000

ros-melodic-image-view2 (1.0.62-1bionic) bionic; urgency=high

  * [image_view2] Add utility script to scale mouse event from image_view2
    for resized image
  * [image_view2] Initialize window_selection_ and font_ variable even in
    no-window mode
  * [image_view2] Publish rectangular region infromation even in grabcut_rect mode
  * [image_view2] Reset rectangle region when changing mode
  * [image_view2] Add none mode to ignore any interaction with the user
  * [image_view2] Add new flag: ratio_scale to pecify size of text by ratio
    to the size of image
  * [image_view2] Add left_up_origin flag to ImageMarker2 to draw text from left up origin
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 16 Feb 2015 15:00:00 -0000

ros-melodic-image-view2 (1.0.61-1bionic) bionic; urgency=high

  * [image_view2] Add topic interface to emulate mouse event
  * [image_view2] Separate main function to another cpp file
  * [image_view2] Add std_srvs/Empty interface to change interaction mode
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 10 Feb 2015 15:00:00 -0000

ros-melodic-image-view2 (1.0.60-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 02 Feb 2015 15:00:00 -0000

ros-melodic-image-view2 (1.0.59-1bionic) bionic; urgency=high

  * Remove rosbuild files
  * [image_view2] Add service to change interaction mode
  * [image_view2] Support continuous publishing in line selection mode
  * [image_view2] Fix timing to publish points selected in line mode
  * [image_view2] Add new interaction mode to select line
  * [image_view2] Do not publish region outside of the image
  * [image_view2] Add ~region_continuous_publish parameter and if it's true,
    image_view2 will keep publishing region selected by user
  * [image_view2] Do not show image if no image is available
  * [image_view2] Do not use time difference to detect point or rectangle
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 02 Feb 2015 15:00:00 -0000

ros-melodic-image-view2 (1.0.58-1bionic) bionic; urgency=high

  * [image_view2] Call GUI functions from main thread
  * [image_view2] Add new interaction mode to image_view 2 to select
    foreground and background by rectangular region
  * [image_view2] add mode to select foreground and background
    for grabcut
  * [image_view2] Use opencv2 c++ function to handle window
  * [image_view2] add utility function to resolve tf
  * [image_view2] refactor to se smaller function
  * [image_view2] Use parameter to change mode to select rectangle or
    freeform trajectory instad of "SHIFT KEY"
  * [image_view2] Use camel case for methods and functions
  * [image_view2] Separate header and cpp file for maintainance
  * [image_view2] fix variable name with _ suffix and untabify indents
  * [image_view2] Optimize image_view2 to decrease CPU load.
    1) add ~skip_draw_rate to throttle redrawing.
    2) use ros::spin if possible
  * Redraw image even though no new message is available
  * Add tab-width to image_view2.cpp
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2015 15:00:00 -0000

ros-melodic-image-view2 (1.0.57-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 22 Dec 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.56-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 16 Dec 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.55-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.54-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 14 Nov 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.53-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 31 Oct 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.52-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 22 Oct 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.51-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 19 Oct 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.50-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 19 Oct 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.49-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 12 Oct 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.48-1bionic) bionic; urgency=high

  * remove depends to opencv2, since indigo depends on libopencv-dev, so we depends on cv_bridge whcih both hydro/indigo depends on it
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 11 Oct 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.47-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 07 Oct 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.46-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 02 Oct 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.45-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 28 Sep 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.44-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 25 Sep 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.43-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 25 Sep 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.42-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 24 Sep 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.41-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 22 Sep 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.40-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 18 Sep 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.39-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 16 Sep 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.38-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 12 Sep 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.36-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 31 Aug 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.35-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 15 Aug 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.34-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 13 Aug 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.33-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 27 Jul 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.32-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 25 Jul 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.31-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 22 Jul 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.30-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 14 Jul 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.29-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 01 Jul 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.28-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 23 Jun 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.27-1bionic) bionic; urgency=high

  * publish the mouse position to movepoint topic during mouse move event
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 09 Jun 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.26-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 29 May 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.25-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 25 May 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.24-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 23 May 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.23-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 22 May 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.22-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 21 May 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.21-1bionic) bionic; urgency=high

  * does not check 0.5sec test if the image_view2 is in series mode.
  * not use ros::Rate's sleep, use cvWaitKey to captuere
    keys to be pressed
  * Contributors: Ryohei Ueda

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 19 May 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.20-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 08 May 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.19-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 05 May 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.18-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 03 May 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.17-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 19 Apr 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.16-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 18 Apr 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.15-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 18 Apr 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.14-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 18 Apr 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.13-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 18 Apr 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.12-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 17 Apr 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.11-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 17 Apr 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.10-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 16 Apr 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.9-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 11 Apr 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.8-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 10 Apr 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.4-1bionic) bionic; urgency=high

  * image_View2:add message_generation, message_runtime to package.xml
  * in order to avoid empty catkin_LIBRARIES problem, call generate_messaegs after target_link_libraries
  * fix typo CATKIN-DEPENDS -> CATKIN_DEPENDS
  * Contributors: Ryohei Ueda, Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 26 Mar 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.2-1bionic) bionic; urgency=high

  * #299 <https://github.com/jsk-ros-pkg/jsk_common/issues/299>: add dependency image_view2 to image_view
  * fix image_view2 dependency for rosbuild environment
  * Contributors: Ryohei Ueda, nozawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 11 Mar 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.1-1bionic) bionic; urgency=high

  * added CIRCLE3D type marker sample
  * add CIRCLE3D type marker
  * Contributors: Kei Okada, HiroyukiMikita

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 06 Mar 2014 15:00:00 -0000

ros-melodic-image-view2 (1.0.0-1bionic) bionic; urgency=high

  * set all package to 1.0.0
  * install image_view2
  * use rosdep instead of depend package
  * add find_package PCL for catkin
  * supporting series selection in addition to rectangle selection
  * use image_transport parameter, it is the same as image_view
  * change for updating drawing while not image comming
  * adding dependency to generation_message
  * add show_info parameter to display curret frame rate, see Issue 247
  * catkinize image_view2
  * fix all the indent and add the function to fill in the polygon
  * add function to draw in the circle
  * new parameter: tf_timeout
  * support to set the width of a line
  * add ~resize_scale_x, ~resize_scale_y parameters for using resized image
  * add subscribing point click
  * add points_rectangle_extractor.cpp
  * changed text msg visualizationo, bigger textsize and color
  * add 3d strip/list/polygon/points/text  #850 <https://github.com/jsk-ros-pkg/jsk_common/issues/850>
  * fix typo
  * add use_window param
  * fix for fuerte
  * fix deprecated functions
  * update comment for TEXT
  * use scale for size of the font
  * add text example
  * fix putText
  * check lastCommonTime
  * add comments
  * added a flag for action==REMOVE&&id==-1, for clear all the markers
  * namespace std is needed in image_view2.cpp
  * add blurry mode
  * set points size to 10
  * fix out_msg.encoding from TYPE_32FC1 to bgr8
  * update deprecated funcitons to current function api for cam_model
  * change fond and use ROS_DEBUG to display tf exception
  * send TF exception error at fist 5 times
  * changed debug messages for markers from ROS_INFO to ROS_DEBUG
  * update to new roseus msg format
  * remove deprecated codes
  * update to support bayer image and move to cv2
  * draw selecting rectangle every time
  * add TEXT type marker, only simple outputs yet
  * enable ADD/REMOVE action, lifetime, marker colors partially
  * change marker_sub buffer from 1 to 10
  * remove /reset_time
  * publish screenpoint and screenrectangle on namespace + imagetopic_name
  * add example to see gripper_tool_frame in image_view2
  * remove unused function cmvision-cb
  * back to previous version, which is not using subscribeCamera, becouse of slow connection of pr2-network
  * rewrite using subscribeCamera
  * add image_view2/
  * Contributors: Manabu Saito, kazuto, Kei Okada, youhei, Xiangyu Chen, Ryohei Ueda, mikita

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 04 Mar 2014 15:00:00 -0000


